> ## Documentation Index
> Fetch the complete documentation index at: https://docs.propaga.mx/llms.txt
> Use this file to discover all available pages before exploring further.

# Corner store name

# Corner Store Name onboarding

```json theme={null}
{
    "step": "CORNER_STORE_NAME_UPDATE",
    "information": {
        "cornerStoreName": "Tiendita del Pedro"
    }
}
```

## Path parameters

<ParamField path="userId" type="string" required>
  Propaga's user id
</ParamField>

<ParamField path="verificationId" type="string" required>
  Verification id generated when you call the create verification use-case
</ParamField>

## Body

<ParamField body="step" type="string" default="CORNER_STORE_NAME_UPDATE" required>
  <Expandable title="Step values">
    <ParamField body="CORNER_STORE_NAME_UPDATE" />
  </Expandable>
</ParamField>

<ParamField body="information" type="object" required>
  <Expandable title="Properties">
    <ParamField body="cornerStoreName" type="string" required>
      Corner store's name
    </ParamField>
  </Expandable>
</ParamField>

<RequestExample>
  ```bash Request theme={null}
  curl --location \
  --request PUT 'https://staging-api.propaga.io/v1/account/{userId}/verification/{verificationId}/onboarding' \
  --header 'Authorization: <your_awesome_token>' \
  --header 'Content-Type: application/json' \
  --data '{
      "step": "CORNER_STORE_NAME_UPDATE",
      "information": {
          "cornerStoreName": "Tiendita del Pedro"
      }
  }'
  ```
</RequestExample>

## Error codes

<ResponseField>
  ```json User not found (404) theme={null}
  {
      "errorCode": "USER_NOT_FOUND",
      "errorMessage": "This user not found"
  }
  ```

  ```json Verification not found (404) theme={null}
  {
      "errorCode": "VERIFICATION_NOT_FOUND",
      "errorMessage": "This verification not found"
  }
  ```
</ResponseField>
